Page MenuHome

EEVEE crashes during shader compilation
Closed, ResolvedPublic

Description

System Information
Operating system: Windows 7 64 bit Home edition
Graphics card: nVidia GeForce GTX 970, Driver version: 417.71

Blender Version
Broken: 2.80 beta, Date: 2019-01-11 00:00, Hash: f98e4cbedbb7, Branch: blender2.7

Short description of error
Editing this material while in rendered preview display mode in EEVEE will cause a crash. This occurs randomly during shader compilation and cannot be reproduced reliably.

Exact steps for others to reproduce the error
The most effective way to cause a crash is by plugging and unplugging the output of either the multiply node or the bump node into different inputs of the principled BSDF. It may take many tries. If it still does not occur, restarting Blender may be necessary.

Event Timeline

Dan (D) created this task.Jan 21 2019, 3:55 PM

Cant get it to crash here.

Is this only happening when you do this very fast?
Maybe you can show us a video (so we can try to reproduce from there)?

Hi. I also have had crashes in Eevee, so I took that file and recorded a video:

https://youtu.be/FzxS6lj2KSE

The above video is basically identical to the experience I've had. Editing materials in some cases will randomly result in a crash eventually. I can't give another video for reference but I can describe how I've been getting the file provided to crash somewhat consistently: What I do is plug the color output of the multiply node into each input of the principled BSDF one by one until I reach the bottom, then do the same for the bump node. This will usually result in a crash by the time I'm finished. If not, I can usually get it to crash by restarting Blender and repeating. Of course, attempting to do any real work with materials will also crash Blender.

I should also note that this does also crash in LookDev display mode. I was not aware of this when I initially made the bug report.

Sebastian Parborg (zeddb) lowered the priority of this task from 90 to 30.Jan 28 2019, 3:28 PM

Can you guys attach the output (as a file) of blender with you run it with --debug-gpu and make it crash like this?

Here's an output from the command line. Debug mode was very sluggish so it took a while:

Sebastian Parborg (zeddb) raised the priority of this task from 30 to Normal.
Dan (D) added a comment.EditedJan 30 2019, 3:51 PM

Sorry for the delay, here is the requested file.

I don't know if this matters, but I feel I should mention that this was done in hash: a1ae04d15a9f date: 2019-01-29 rather than the version in the initial report.

I find latest builds to be much more stable. I no longer see crashes when compiling even very complex shaders.

Richard Antalik (ISS) changed the task status from Confirmed to Needs Information from User.Jan 23 2020, 12:16 AM

I have re-triaged this report and can not reproduce it.
Can you please check if this is still an issue in latest build?
https://builder.blender.org/download/

Sebastian Parborg (zeddb) closed this task as Resolved.Thu, Jan 30, 1:03 PM
Sebastian Parborg (zeddb) claimed this task.

7 days without reply, closing this as resolved then.